Introduction
Return to Introduction
Advansys Formativ 2.0
Registration Utility Guide

The Formativ Registration Utility enables the registration of Formativ products, including Applets and Formativ itself. When run as a normal application, i.e. Interactive Mode, the utility displays the registration status of all installed Formativ products, including the number of days a trial Applet has left to run. The Registration Utility can also be run on the command line, i.e. Command Line Mode to register products silently.

Who should use this Guide?

This Guide has been written for people who need to install and register Formativ and associated solutions. This Guide will be useful to both End-Users and System Administrators responsible for the installation of Formativ.

What does this Guide cover?

This Guide covers the use of the Registration Utility.

Copyright © 2001-2004 Advansys Pty Limited - All Rights Reserved
Formativ is a trademark of Advansys Pty Limited.
GroupWise is a trademark of Novell Inc.
Visual Basic is a trademark of Microsoft Corporation.


Interactive Mode
To start the Registration Utility in Interactive Mode, do either of the following:

· From the GroupWise menu, select Help | Formativ Registration Utility...
· From the GroupWise menu, select Help | About Formativ... This will open the Formativ About dialog. On the dialog, go to the Registration tab and press the button Registration Utility.

Interactive Mode (shown below) is the default mode of operation, which lets you:

· select the product you wish to register and enter the appropriate registration code; or
· select a licence file.

Registration Utility in Interactive Mode

Entering a Registration Code

1. Select the product you wish to register from the list shown.
2. Type (or paste) the supplied registration code into the box labelled Key or Licence File.
3. Press the Register button.

If registration is successful, a confirmation message is displayed. If registration is unsuccessful, a failure message is displayed.

Note: It is recommended that, where possible to avoid error, you copy and paste your registration code into the Key or Licence File box.

Selecting a Licence File

Your Formativ reseller or Advansys may supply you with a licence file. A licence file contains registration codes for one or more Formativ products. You can use the Registration Utility to open a Licence file and register each product referenced in the file automatically.

1. Enter the full path to your licence file into the box labelled Key or Licence File, or
2. Press the browse button immediately to the left of the Register button to display a file selection dialog. Browse for and select your licence file.
3. Press the Register button.

If registration is successful, a confirmation message is displayed. If registration is unsuccessful, a failure message is displayed.

Unregistering a Product

The Registration Utility lets you unregister a previously registered product. This can be useful when you wish to transfer a licence from one computer to another.

1. Select the product you wish to unregister
2. Press the mouse button for a context (popup) menu
3. Select UnRegister from the context menu that appears.


Command Line Mode
The Registration Utility can be run in Command Line Mode by running the program with the /r- or /l- parameters. The /r- option takes a registration filename and the /l- option takes a license filename as the parameter data. No user interface is displayed in command line mode.

The file format of the registration file is shown below.

Command line mode allows batch registration of multiple Formativ products and solutions, either by placing the registration or license file(s) in a shared network location, or by using a program such as Novell ZENworks.

Running in Command Line Mode

To run the Registration Utility in Command Line Mode, use the following syntax at the command line:

frmrmg10.exe /r-<registration filename> or

frmrmg10.exe /l-<license filename>

where:

· 'registration filename' is the name of the registration file, a text file which should conform to the format shown below; or
· 'license filename' is a special license file which may be provided by your Formativ reseller or by Advansys.

Note: If you place the registration or license file(s) in the same location as the Registration Utility, you do not need to provide a fully qualified path to the registration/license file, just supply the filename as the command line parameter.

Note: Before you can register a Formativ product or solution using this utility, the product(s) to be registered must be already installed on the target workstation.

Registration File Format

A sample registration file is shown below. The lines beginning with ; characters are comments and are ignored.

; Advansys Formativ Registration Utility File
;
; Each line must consist of a product ID, a comma, then the registration code.
; Product IDs are product specific, and will be advised by the Applet supplier.
; An example registration might look like the following:
;
; <Product ID>,<registration code>
; Acme Applet Suite,abc123xyz
;
; You may also register Formativ Studio, Formativ Creator and Formativ Runtime
; using this utility. These products use the following product IDs:
;
; Formativ Studio
; Formativ Creator
; Formativ Runtime


Support

Formativ Support
Should you require Formativ technical support, there are three main resources available. We recommend you use these resources in the order listed below.

Note: Advansys does not provide telephone support.

Formativ Support Page

The Formativ Support page contains links to various support resources. Here you will find current information regarding:

· Last minute documentation changes.
· Product updates and patches.
· Frequently Asked Questions.
· Links to other support resources.

Moderated Support Forums

Advansys provides Formativ technical support through online moderated forums. These Web-based forums are moderated by Advansys technical staff and represent the primary source of Formativ support. Feel free to log in and post a question or search the forums to check if a similar question has been answered already.

Support forums are available for the following topics:

· Developing Solutions with Formativ.
· Formativ Solution Packs.
· Formativ Runtime.
· Formativ Creator (Developer).
· Formativ Studio (Admin).
· eDirectory management.
· Free GroupWise CoolSolutions Applets.

You can access the Formativ support forums on the Web at:

http://advansys.atinfopop.com/4/OpenTopic?a=cfrm&s=7534089931&f=3634089931


On the Web
Advansys Home Page

www.advansyscorp.com

Formativ Home Page

www.advansyscorp.com/formativ.htm

Sales

www.advansyscorp.com/formativ_buy.htm

Formativ Resellers

www.advansyscorp.com/resellers_formativ.htm

Support Forums

http://advansys.atinfopop.com/4/OpenTopic?a=cfrm&s=7534089931&f=3634089931


Via Email
General Formativ Enquiries

formativ@advansyscorp.com

Sales Enquiries

sales@advansyscorp.com

Note: Please note that technical support is available via our Online Support Forums.


Telephone and Fax
Telephone

+61 2 9968 2991

Facsimile

+61 2 9969 7551

Note: Advansys is located in Sydney, Australia.

Note: Advansys does not provide technical support by telephone. Please use our online support forum if you require technical support.


.topic 1
Advansys Formativ 2.0
Registration Utility Guide

The Formativ Registration Utility enables the registration of Formativ products, including Applets and Formativ itself. When run as a normal application, i.e. Interactive Mode, the utility displays the registration status of all installed Formativ products, including the number of days a trial Applet has left to run.  The Registration Utility can also be run on the command line, i.e. Command Line Mode to register products silently.

Who should use this Guide?

This Guide has been written for people who need to install and register Formativ and associated solutions.  This Guide will be useful to both End-Users and System Administrators responsible for the installation of Formativ.

What does this Guide cover?

This Guide covers the use of the Registration Utility.

 Copyright © 2001-2004 Advansys Pty Limited - All Rights Reserved
Formativ is a trademark of Advansys Pty Limited.
GroupWise is a trademark of Novell Inc.
Visual Basic is a trademark of Microsoft Corporation.

.topic 11
The Registration Utility can be run in Command Line Mode by running the program with the /r- or /l- parameters.  The /r- option takes a registration filename and the /l- option takes a license filename as the parameter data. No user interface is displayed in command line mode.

The file format of the registration file is shown below.

Command line mode allows batch registration of multiple Formativ products and solutions, either by placing the registration or license file(s) in a shared network location, or by using a program such as Novell ZENworks.

Running in Command Line Mode

To run the Registration Utility in Command Line Mode, use the following syntax at the command line:

frmrmg10.exe /r-<registration filename> or

frmrmg10.exe /l-<license filename>

where:

'registration filename' is the name of the registration file, a text file which should conform to the format shown below; or
'license filename' is a special license file which may be provided by your Formativ reseller or by Advansys.

Note:	If you place the registration or license file(s) in the same location as the Registration Utility, you do not need to provide a fully qualified path to the registration/license file, just supply the filename as the command line parameter.

Note:	Before you can register a Formativ product or solution using this utility, the product(s) to be registered must be already installed on the target workstation.

Registration File Format

A sample registration file is shown below.  The lines beginning with ; characters are comments and are ignored.

; Advansys Formativ Registration Utility File
;
; Each line must consist of a product ID, a comma, then the registration code.
; Product IDs are product specific, and will be advised by the Applet supplier.
; An example registration might look like the following:
;
; <Product ID>,<registration code>
; Acme Applet Suite,abc123xyz
;
; You may also register Formativ Studio, Formativ Creator and Formativ Runtime
; using this utility. These products use the following product IDs:
;
; Formativ Studio
; Formativ Creator
; Formativ Runtime

.topic 11
Should you require Formativ technical support, there are three main resources available.  We recommend you use these resources in the order listed below.

Note: Advansys does not provide telephone support.

Formativ Support Page

The Formativ Support page contains links to various support resources.  Here you will find current information regarding:

Last minute documentation changes.
Product updates and patches.
Frequently Asked Questions.
Links to other support resources.

Moderated Support Forums

Advansys provides Formativ technical support through online moderated forums. These Web-based forums are moderated by Advansys technical staff and represent the primary source of Formativ support. Feel free to log in and post a question or search the forums to check if a similar question has been answered already.

Support forums are available for the following topics:

Developing Solutions with Formativ.
Formativ Solution Packs.
Formativ Runtime.
Formativ Creator (Developer).
Formativ Studio (Admin).
eDirectory management.
Free GroupWise CoolSolutions Applets.

You can access the Formativ support forums on the Web at:

http://advansys.atinfopop.com/4/OpenTopic?a=cfrm&s=7534089931&f=3634089931

.topic 1
Advansys Home Page

www.advansyscorp.com

Formativ Home Page

www.advansyscorp.com/formativ.htm

Sales

www.advansyscorp.com/formativ_buy.htm

Formativ Resellers

www.advansyscorp.com/resellers_formativ.htm

Support Forums

http://advansys.atinfopop.com/4/OpenTopic?a=cfrm&s=7534089931&f=3634089931

.topic 11
General Formativ Enquiries

formativ@advansyscorp.com

Sales Enquiries

sales@advansyscorp.com

Note:	Please note that technical support is available via our Online Support Forums.

.topic 21
Telephone

+61 2 9968 2991

Facsimile

+61 2 9969 7551

Note:	Advansys is located in Sydney, Australia.

Note:	Advansys does not provide technical support by telephone.  Please use our online support forum if you require technical support.

.topic 100001
No Help topic is associated with this item.

.topic 100002
OK Button

Applies changes you have made and then
closes this dialog box.

.topic 100003
Cancel Button

Closes this dialog box without saving the changes
you have made.

.topic 100004
Close

Closes the current window.

.topic 100005
Help

Displays a help topic that gives you an
overview of this dialog.

.topic 100006
Apply Button

Saves all changes you have made
without closing the dialog box.

.topic 100010
What's This? Button

Click to start up a temporary, context-sensitive help mode. In this mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel context sensitive help.

.topic 100011
What's This? (Help Menu)

Starts up a temporary, context-sensitive help mode.
In this help mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.

.topic 100012
What's This?  Command

To get help on a selected object click What's This?